Payment
Cancel a payment
Cancels a payment request created for one of the partner’s companies
PUT
/
Payment
/
{paymentRequestId}
/
Cancel
Cancel a payment
import requests
url = "https://api.trysynch.com/Payment/{paymentRequestId}/Cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const url = 'https://api.trysynch.com/Payment/{paymentRequestId}/Cancel';
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));curl --request PUT \
--url https://api.trysynch.com/Payment/{paymentRequestId}/Cancel \
--header 'Authorization: Bearer <token>'using RestSharp;
var options = new RestClientOptions("https://api.trysynch.com/Payment/{paymentRequestId}/Cancel");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
falserequire 'uri'
require 'net/http'
url = URI("https://api.trysynch.com/Payment/{paymentRequestId}/Cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyAuthorizations
JWT Authorization header using the Bearer scheme.
Use /auth/token to obtain access token.
Enter 'Bearer' [space] and then your token in the text input below.
Example: 'Bearer eyJhbGci...'
Path Parameters
Response
200
OK
Last modified on July 21, 2026
Was this page helpful?
⌘I
Cancel a payment
import requests
url = "https://api.trysynch.com/Payment/{paymentRequestId}/Cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const url = 'https://api.trysynch.com/Payment/{paymentRequestId}/Cancel';
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));curl --request PUT \
--url https://api.trysynch.com/Payment/{paymentRequestId}/Cancel \
--header 'Authorization: Bearer <token>'using RestSharp;
var options = new RestClientOptions("https://api.trysynch.com/Payment/{paymentRequestId}/Cancel");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
falserequire 'uri'
require 'net/http'
url = URI("https://api.trysynch.com/Payment/{paymentRequestId}/Cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body